<template>
    <div>
        <el-dialog :title="title" :visible.sync="taskInfoDialog" :modal-append-to-body="false" :close-on-click-modal="false" width="70%">
            <el-tabs type="border-card" class="active" v-model="activeName">
                <el-tab-pane label="作业基本信息" name="hotFireBasic" v-if="ifHotFireBasic">
                    <hot-fire-basic ref="hotFireBasic"></hot-fire-basic>
                </el-tab-pane>
                <el-tab-pane label="安全措施" name="safetyAction" v-if="ifSafetyAction">
                    <safety-action ref="safetyAction" :basicInformation="basicForm"></safety-action>
                </el-tab-pane>
                <el-tab-pane label="安全交底和风险告知确认卡" name="safetyAndRiskConfirm" v-if="ifSafetyAndRisk">
                    <safety-and-risk-confirm ref="safetyAndRiskConfirm" :basicInformation="basicForm"></safety-and-risk-confirm>
                </el-tab-pane>
                <el-tab-pane label="设备" name="equipment" v-if="ifSafetyAction">
                    <equipment ref="equipment" :basicInformation="basicForm"></equipment>
                </el-tab-pane>
                <el-tab-pane label="作业人" name="fireMan" v-if="ifFireMan">
                    <fire-man ref="fireMan" :basicInformation="basicForm"></fire-man>
                </el-tab-pane>
                <el-tab-pane label="文件" name="fileAndEquipment" v-if="ifFile">
                    <file-and-equipment ref="fileAndEquipment" :basicInformation="basicForm"></file-and-equipment>
                </el-tab-pane>
            </el-tabs>
        </el-dialog>
    </div>

</template>

<script>
import fireMan from './fireMan/index'
import equipment from './equipment/index'
import fileAndEquipment from './fileAndEquipment/index'
import safetyAndRiskConfirm from './safetyAndRiskConfirm/index'
import safetyAction from './safetyAction/index'
import hotFireBasic from './hotFireBasic/index'

export default {
    name: 'taskInfo',
    data(){
      return{
          title:'',
          taskInfoDialog:false,
          supervisorAndAnalystAgree:false,
          supervisorAndAnalystRefuse:false,
          relevantRefuse:false,
          securityRefuse:false,
          activeName:'hotFireBasic',
          ifFile:false,
          ifFireMan:false,
          ifSafetyAction:false,
          ifSafetyAndRisk:false,
          ifHotFireBasic:true,
          ifConstruction:false,
          basicForm:{},
          constructionForm:{},
      }
    },
    components:{
        hotFireBasic,
        safetyAction,
        safetyAndRiskConfirm,
        fileAndEquipment,
        equipment,
        fireMan,
    },
    methods:{
        openTaskInfo(value,title){
            this.taskInfoDialog = true
            this.activeName = 'hotFireBasic'
               if(title === '查看'){
                this.title = '查看'
                   this.ifSafetyAction = true
                   this.ifSafetyAndRisk = true
                   this.ifFireMan = true
                   this.ifFile = true
                   this.ifHotFireBasic = true
                   this.basicForm = JSON.parse(JSON.stringify(value))
                   setTimeout(()=> {
                       this.$refs.hotFireBasic.resetFormRules()
                       this.$refs.hotFireBasic.taskBasicForm = JSON.parse(JSON.stringify(value))
                       this.$refs.safetyAction.tasksecurity = JSON.parse(JSON.stringify(value)).taskSecurities
                       this.$refs.safetyAndRiskConfirm.taskRiskForm = JSON.parse(JSON.stringify(value)).taskRisk
                       this.$refs.equipment.equipmentData = JSON.parse(JSON.stringify(value)).taskEquipments
                       this.$refs.fireMan.taskWorkers = JSON.parse(JSON.stringify(value)).taskWorkers
                       let form = JSON.parse(JSON.stringify(value)).subTaskInfos
                       this.$refs.hotFireBasic.taskBasicForm.type = ''
                       this.$refs.hotFireBasic.taskBasicForm.category = ''
                       this.$refs.hotFireBasic.taskBasicForm.firelevel = ''
                       this.$refs.hotFireBasic.taskBasicForm.checked = ''
                       this.$refs.hotFireBasic.taskBasicForm.spacecategory = ''
                       this.$refs.hotFireBasic.taskBasicForm.spacename = ''
                       this.$refs.hotFireBasic.taskBasicForm.spacemedium = ''
                       this.$refs.hotFireBasic.taskBasicForm.acibase = ''
                       this.$refs.hotFireBasic.taskBasicForm.hoistinglevel = ''
                       this.$refs.hotFireBasic.taskBasicForm.hoistingweight = ''
                       this.$refs.hotFireBasic.taskBasicForm.soildepth = ''
                       this.$refs.hotFireBasic.taskBasicForm.soilarea = ''
                       this.$refs.hotFireBasic.taskBasicForm.soilfile = []
                       this.$refs.hotFireBasic.taskBasicForm.breakreason = ''
                       this.$refs.hotFireBasic.taskBasicForm.breakfile = []
                       this.$refs.hotFireBasic.taskBasicForm.workheight = ''
                       this.$refs.hotFireBasic.taskBasicForm.heightlevel = ''
                       this.$refs.hotFireBasic.taskBasicForm.electricityarea = ''
                       this.$refs.hotFireBasic.taskBasicForm.voltage = ''
                       this.$refs.hotFireBasic.taskBasicForm.power = ''
                       this.$refs.hotFireBasic.taskBasicForm.pipename = ''
                       this.$refs.hotFireBasic.taskBasicForm.pipemedium = ''
                       this.$refs.hotFireBasic.taskBasicForm.pipetemperature = ''
                       this.$refs.hotFireBasic.taskBasicForm.pipepressure = ''
                       this.$refs.hotFireBasic.taskBasicForm.blindboardmaterial = ''
                       this.$refs.hotFireBasic.taskBasicForm.blindboardspecification = ''
                       this.$refs.hotFireBasic.taskBasicForm.blindboardnumber = ''
                       this.$refs.hotFireBasic.taskBasicForm.commander = ''
                       this.$refs.hotFireBasic.taskBasicForm.blindboardlocation = []
                       this.$refs.hotFireBasic.taskBasicForm.firetype = ''
                       for (let i in form) {
                           if (form[i].type === '受限空间作业') {
                               this.$refs.hotFireBasic.activeNames.push('1')
                               this.$refs.hotFireBasic.ifIncludeArea = 1
                               this.$refs.hotFireBasic.taskBasicForm.spacecategory = form[i].spacecategory
                               this.$refs.hotFireBasic.taskBasicForm.spacename = form[i].spacename
                               this.$refs.hotFireBasic.taskBasicForm.spacemedium = form[i].spacemedium
                               this.$refs.hotFireBasic.taskBasicForm.acibase = form[i].acibase
                           } else if (form[i].type === '吊装作业') {
                               this.$refs.hotFireBasic.activeNames.push('2')
                               this.$refs.hotFireBasic.ifHoisting = 1
                               this.$refs.hotFireBasic.taskBasicForm.hoistinglevel = form[i].hoistinglevel
                               this.$refs.hotFireBasic.taskBasicForm.hoistingweight = form[i].hoistingweight
                           } else if (form[i].type === '动土作业') {
                               this.$refs.hotFireBasic.activeNames.push('3')
                               this.$refs.hotFireBasic.ifBuilding = 1
                               this.$refs.hotFireBasic.taskBasicForm.soildepth = form[i].soildepth
                               this.$refs.hotFireBasic.taskBasicForm.soilarea = form[i].soilarea
                               this.$refs.hotFireBasic.taskBasicForm.soilfile = form[i].soilfile
                           } else if (form[i].type === '断路作业') {
                               this.$refs.hotFireBasic.activeNames.push('4')
                               this.$refs.hotFireBasic.ifIncludeRoad = 1
                               this.$refs.hotFireBasic.taskBasicForm.breakreason = form[i].breakreason
                               this.$refs.hotFireBasic.taskBasicForm.breakfile = form[i].breakfile
                           } else if (form[i].type === '高处作业') {
                               this.$refs.hotFireBasic.activeNames.push('5')
                               this.$refs.hotFireBasic.ifIncludeHigh = 1
                               this.$refs.hotFireBasic.taskBasicForm.heightlevel = form[i].heightlevel
                               this.$refs.hotFireBasic.taskBasicForm.workheight = form[i].workheight
                           } else if (form[i].type === '临时用电作业') {
                               this.$refs.hotFireBasic.activeNames.push('6')
                               this.$refs.hotFireBasic.ifIncludeElectricity = 1
                               this.$refs.hotFireBasic.taskBasicForm.electricityarea = form[i].electricityarea
                               this.$refs.hotFireBasic.taskBasicForm.voltage = form[i].voltage
                               this.$refs.hotFireBasic.taskBasicForm.power = form[i].power
                           } else if (form[i].type === '盲板抽堵作业') {
                               this.$refs.hotFireBasic.activeNames.push('7')
                               this.$refs.hotFireBasic.ifIncludePump = 1
                               this.$refs.hotFireBasic.taskBasicForm.pipename = form[i].pipename
                               this.$refs.hotFireBasic.taskBasicForm.pipemedium = form[i].pipemedium
                               this.$refs.hotFireBasic.taskBasicForm.pipetemperature = form[i].pipetemperature
                               this.$refs.hotFireBasic.taskBasicForm.pipepressure = form[i].pipepressure
                               this.$refs.hotFireBasic.taskBasicForm.blindboardmaterial = form[i].blindboardmaterial
                               this.$refs.hotFireBasic.taskBasicForm.blindboardspecification = form[i].blindboardspecification
                               this.$refs.hotFireBasic.taskBasicForm.blindboardnumber = form[i].blindboardnumber
                               this.$refs.hotFireBasic.taskBasicForm.blindboardlocation = form[i].blindboardlocation
                           } else {
                               this.$refs.hotFireBasic.activeNames.push('8')
                               this.$refs.hotFireBasic.ifIncludeFire = 1
                               this.$refs.hotFireBasic.taskBasicForm.firelevel = form[i].level
                               this.$refs.hotFireBasic.taskBasicForm.firetype = form[i].firetype
                           }
                       }
                       this.$refs.hotFireBasic.giveTaskBasic(this.$refs.hotFireBasic.taskBasicForm)
                   })
            }
        },
    }
}
</script>

<style scoped>

</style>
